[arch-commits] Commit in gmp/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Allan McRae allan at archlinux.org
Sun May 17 00:06:29 EDT 2009


    Date: Sunday, May 17, 2009 @ 00:06:28
  Author: allan
Revision: 39456

Merged revisions 39454 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/gmp/trunk

........
  r39454 | allan | 2009-05-17 03:50:49 +0000 (Sun, 17 May 2009) | 2 lines
  
  upgpkg: gmp 4.3.1-2
      force building for required architecture
........

Modified:
  gmp/repos/testing-x86_64/	(properties)
  gmp/repos/testing-x86_64/PKGBUILD

----------+
 PKGBUILD |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)


Property changes on: gmp/repos/testing-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gmp/trunk:1-39341
   + /gmp/trunk:1-39455

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2009-05-17 03:51:56 UTC (rev 39455)
+++ testing-x86_64/PKGBUILD	2009-05-17 04:06:28 UTC (rev 39456)
@@ -3,7 +3,7 @@
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
 pkgname=gmp
 pkgver=4.3.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A free library for arbitrary precision arithmetic"
 arch=('i686' 'x86_64')
 url="http://gmplib.org/"
@@ -17,7 +17,9 @@
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
   [ "${CARCH}" = "i686" ] && export ABI="32"
-  ./configure --prefix=/usr --enable-cxx --infodir=/usr/share/info || return 1
+  ./configure --build=$CHOST \
+    --prefix=/usr --infodir=/usr/share/info \
+    --enable-cxx || return 1
   make || return 1
   make check || return 1
   make DESTDIR="${pkgdir}" install || return 1



More information about the arch-commits mailing list